Google patches high-risk vulnerability in Chrome browser

Originally published at: https://www.myce.com/news/google-patches-high-risk-vulnerability-in-chrome-browser-85491/

Google developers have patched a high risk vulnerability in the latest version of Chrome. Details on the vulnerability are not provided other than it’s a “Use-after-free in GPU” vulnerability. Users on Linux, macOS and Windows are all advised to update to 70.0.3538.110.